package com.zhongzheng.modules.grade.service;

import com.zhongzheng.modules.grade.domain.UserPeriod;
import com.zhongzheng.modules.grade.vo.UserPeriodVo;
import com.zhongzheng.modules.grade.bo.UserPeriodQueryBo;
import com.zhongzheng.modules.grade.bo.UserPeriodAddBo;
import com.zhongzheng.modules.grade.bo.UserPeriodEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2021-11-22
 */
public interface IUserPeriodService extends IService<UserPeriod> {
	/**
	 * 查询单个
	 * @return
	 */
	UserPeriodVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<UserPeriodVo> queryList(UserPeriodQueryBo bo);

	/**
	 * 根据新增业务对象插入【请填写功能名称】
	 * @param bo 【请填写功能名称】新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(UserPeriodAddBo bo);

	/**
	 * 根据编辑业务对象修改【请填写功能名称】
	 * @param bo 【请填写功能名称】编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(UserPeriodEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	boolean editPeriodAll(UserPeriodEditBo bo);
}
